### Function

# Gck Attribute new

#### Declaration [src]

    GckAttribute*
    gck_attribute_new (
      gulong attr_type,
      const guchar* value,
      gsize length
    )

#### Description [src]

Create a new PKCS#11 attribute. The value will be copied into the new attribute.

#### Parameters

`attr_type`

  Type: `gulong`

  The PKCS#11 attribute type to set on the attribute.

`value`

  Type: `const guchar*`

  The raw value of the attribute.

  The data is owned by the caller of the function.

`length`

  Type: `gsize`

  The length of the attribute.

#### Return value

Type: `GckAttribute`

The new attribute; when done with the attribute use `gck_attribute_free()` to free it.

The caller of the function takes ownership of the data, and is responsible for freeing it.